curl --request POST \
--url https://api.sandbox.finsei.com/v2/beneficiary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "EUR",
"iban": "NL13RABO4448094871",
"entity_type": "company",
"uuid": "<string>",
"name": "Aliaksandr",
"bank_country": "LT",
"bic_swift": "AGBLLT2X",
"account_number": 123,
"sort_code": 123,
"street": "Gagarina street",
"house": 22,
"city": "London",
"country_id": "GB",
"postal_code": 10001,
"company_name": "Finsei Ltd.",
"first_name": "Aliaksandr",
"last_name": "Lastname"
}
'import requests
url = "https://api.sandbox.finsei.com/v2/beneficiary"
payload = {
"currency": "EUR",
"iban": "NL13RABO4448094871",
"entity_type": "company",
"uuid": "<string>",
"name": "Aliaksandr",
"bank_country": "LT",
"bic_swift": "AGBLLT2X",
"account_number": 123,
"sort_code": 123,
"street": "Gagarina street",
"house": 22,
"city": "London",
"country_id": "GB",
"postal_code": 10001,
"company_name": "Finsei Ltd.",
"first_name": "Aliaksandr",
"last_name": "Lastname"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currency: 'EUR',
iban: 'NL13RABO4448094871',
entity_type: 'company',
uuid: '<string>',
name: 'Aliaksandr',
bank_country: 'LT',
bic_swift: 'AGBLLT2X',
account_number: 123,
sort_code: 123,
street: 'Gagarina street',
house: 22,
city: 'London',
country_id: 'GB',
postal_code: 10001,
company_name: 'Finsei Ltd.',
first_name: 'Aliaksandr',
last_name: 'Lastname'
})
};
fetch('https://api.sandbox.finsei.com/v2/beneficiary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [],
"notice": [],
"data": {
"id": 84,
"uuid": "019ce5b3-6a71-724a-8a44-267480d63534"
}
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}{
"name": "Forbidden",
"message": "String",
"status": 403
}POST /v2/beneficiary
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Currency
3"EUR"
IBAN number
255"NL13RABO4448094871"
Entity type
individual, company "company"
Uuid of beneficiary
Beneficiary template name
255"Aliaksandr"
2-char code of country.⚠ REQUIRED if the currency is not EUR
2"LT"
BIC\SWIFT number. ⚠ NOT REQUIRED if SEPA
"AGBLLT2X"
⚠ REQUIRED if the currency is GBP and bank_details_type is local
⚠ REQUIRED if the bank_details_type is local
DEFAULT, LOCAL Beneficiary address street. ⚠ REQUIRED if the currency is not EUR
64"Gagarina street"
Beneficiary house number. ⚠ REQUIRED if the currency is not EUR
3222
Beneficiary city. ⚠ REQUIRED if the currency is not EUR
64"London"
Alpha-2 country code. ⚠ REQUIRED if the currency is not EUR
"GB"
Beneficiary postal code. ⚠ REQUIRED if the currency is not EUR
3210001
⚠ REQUIRED if entity_type is 'company'
128"Finsei Ltd."
Beneficiary first name. ⚠ REQUIRED if entity_type is 'individual'
64"Aliaksandr"
Beneficiary last name. ⚠ REQUIRED if entity_type is 'individual'
64"Lastname"